Bug 1259173 - hammer settings has option --id however list doesn't show id of any parameter
hammer settings has option --id however list doesn't show id of any parameter
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 02:59 EDT by Sachin Ghai
Modified: 2017-01-11 14:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 14:30:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2015-09-02 02:59:39 EDT
Description of problem:

Please note that settings list command has 3 fields
Name, VALUE,  DESCRIPTION. It doesn't show 'id'                                       

However, when you run "settings set --help", it shows --id option

[root@cloud-qe-4 ~]# hammer -u admin -p changeme settings set --help
Usage:
    hammer settings set [OPTIONS]

Options:
 --id ID                        
 --name NAME                   Setting name
 --value VALUE                  
 -h, --help                    print help


[root@cloud-qe-4 ~]# hammer -u admin -p changeme settings list
-------------------------------------------------------|-------------------------------------------------|---------------------------------------------------------------------------------
NAME                                                   | VALUE                                           | DESCRIPTION                                                                     
-------------------------------------------------------|-------------------------------------------------|---------------------------------------------------------------------------------
administrator                                          | root@idmqe.lab.eng.bos.redhat.com               | The default administrator email address                                         
authorize_login_delegation                             | false                                           | Authorize login delegation with REMOTE_USER environment variable                
authorize_login_delegation_api                         | false                                           | Authorize login delegation with REMOTE_USER environment variable for API call...
authorize_login_delegation_auth_source_user_autocreate |                                                 | Name of the external auth source where unknown externally authentication user...




Version-Release number of selected component (if applicable):
ruby193-rubygem-hammer_cli_foreman-0.3.0-1.201508241205git42d6111.el6.noarch
ruby193-rubygem-hammer_cli_foreman_docker-0.0.3-3.el6.noarch
foreman-release-1.10.0-0.develop.201508241946git8658fa3.el6.noarch
foreman-1.10.0-0.develop.201508241946git8658fa3.el6.noarch


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Either we should removed --id option or we should add id for all parameters and it should be available with list command

Additional info:
Comment 2 Bryan Kearney 2016-08-04 16:10:51 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2017-01-11 14:30:47 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.